version: '3'
services:
  #Nette app
  app:
    container_name: chatbot
    restart: unless-stopped
    tty: true

    image: registry.gitlab.com/honza.seda/dialogflow-chatbot
    #build:
    #  context: ./
    #  dockerfile: dockerfile

    working_dir: /var/www

    ports:
      - '${PORT_HTTP}:${PORT_HTTP}'   # http
      - '${PORT_HTTPS}:${PORT_HTTPS}' # https

    volumes:
      - ./:/var/www

    environment:
      - PORT_HTTP=${PORT_HTTP}
      - PORT_HTTPS=${PORT_HTTPS}